Bug 276961 - Review Request: straw - Desktop news aggregator
Review Request: straw - Desktop news aggregator
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On: 292821
  Show dependency treegraph
Reported: 2007-09-04 14:35 EDT by Subhodip Biswas
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-29 09:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)
gdb log of straw on rawhide (22.10 KB, text/plain)
2007-09-09 04:37 EDT, Mamoru TASAKA
no flags Details
python dependency check list (4.59 KB, text/plain)
2007-09-17 09:33 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Subhodip Biswas 2007-09-04 14:35:41 EDT
Spec URL: <subhodipbiswas.googlepages.com/myfiles>
SRPM URL: <subhodipbiswas.googlepages.com/myfiles>
Description: <Straw is a desktop news aggregator for the GNOME environment. Its aim is to be a faster, easier and more accessible way to read news and
blogs than the traditional browser>
Comment 1 Till Maas 2007-09-06 07:41:14 EDT
It seems that this is your first package and you need to be sponsored, for
details take a look at:

Therefore I block FE-NEEDSPONSOR.
Comment 2 Subhodip Biswas 2007-09-07 11:39:01 EDT
python-bsddb3 is no longer needed independently as it comes along with python.
did a little bit change in spec file .
koji build from scratch ran succesfully.

see here for koji build status.

Comment 3 Subhodip Biswas 2007-09-08 14:50:28 EDT
I am also a fedora ambassador 
please see here for ambassador list.I represent India /West Bengal/Durgapur
Comment 4 Mamoru TASAKA 2007-09-09 04:37:50 EDT
Created attachment 190961 [details]
gdb log of straw on rawhide

Well, even if you are a ambassador, you still have to
be sponsored to get the proper right to access Fedora CVS.

For 0.27-1:

* BuildRequires
  - At least "BuildRequires: python-devel" is missing
    (Note: I first fixed the typo "%{__python)" to try rebuilding)
  - Even after I add "BuildRequires: python-devel" the rebuild
    still fails like:
    Please check the BuildRequires so as to be rebuilt in

    Note: check setup.py
    33	if sys.version < strawenv['PYTHON']:
    47	    try:
    48		import pygtk
    49		pygtk.require('2.0')
    50		imp.find_module('gtk')
    51		import gtk
    52		if gtk.pygtk_version < strawenv['PYGTK']:
    72	    mod_list = [
    73		('gnome', 'python-gnome2', 0),
    74		('gtkhtml2', "python-gnome2-extras", 0),
    75		('gconf', "python-gnome2", 1),
    76		('bsddb.db', 'python-bsddb', 0),
    77		('dbus', 'python-dbus', 0)]

* Requires
  - Please check the dependency for straw correctly.
    * For example, straw/strawdbus.py comtails the line
      "import dbus", which means this package should have
      "Requires: dbus-python"
    * Some other dependencies are also missing
    * Here you can again check what "setup.py" requires.
  - Why does this need "Requires: hicolor-icon-theme"?

* desktop vendor prefix
  - This is not rpmforge... Change to fedora.

* GConf scriptlets
  - Please refer to the section "GConf" of

* License
  - License is actually GPLv2+ as the source codes actually
    say so.

* Runtime problem
  - This package cannot be launched on rawhide. gdb log attached
    (Maybe this is due to python-adns)
Comment 5 Mamoru TASAKA 2007-09-09 04:45:33 EDT
Radek, would you look at the gdb output attached on comment 4?
Comment 6 Mamoru TASAKA 2007-09-09 12:08:34 EDT
One more comment
* Gconf schemas file
  - gconf schemas file is not a config file and this file should
    not be marked as %config(noreplace) (even if rpmlint warns 
    about it).
Comment 7 Subhodip Biswas 2007-09-09 14:08:46 EDT
* fixed desktop_vendor = fedora
* fixed Licence to GPlv2+
* fixed Requires: 

* Added 
  python >= 2.4
  libxml2-python >= 1.99.13
  pygtk2 >= 2.4.0
  gtk2 >= 2.4

Comment 8 Mamoru TASAKA 2007-09-09 14:22:54 EDT
Would you write the whole URLs of your spec and srpm
so that we can download them easily?

Also, please don't forget to increment release number each time
you fix your spec file when version number does not change, and
add to %changelog where you changed in your spec file briefly.
Comment 9 Subhodip Biswas 2007-09-09 14:57:38 EDT
New Spec file and SRPM is available at 
Comment 10 Mamoru TASAKA 2007-09-10 03:00:01 EDT
* Does your srpm really work for you? (i.e. can you really
  rebuild your srpm?)
  The typo "%{__python)" is not fixed and this prevents me from
  being rebuilt correctly

  You can see that only srpm is created.

* And even after I fix the typo, the srpm cannot be rebuilt.
Comment 11 Debarshi Ray 2007-09-10 09:53:27 EDT
The following line in straw.spec installs straw.png in

install -m0644 ./images/%{name}.png \

But you have not included it in the %files section. Add the following line in
%files section:

Comment 12 Subhodip Biswas 2007-09-10 15:57:45 EDT
* fixed typo error
* fixed python dependecy
* Rebuild srpm succesfully
* currently facing problem with dbus module of python-dbus 
* here is the koji build status
[ http://koji.fedoraproject.org/koji/getfile?taskID=154689&name=build.log]
Comment 13 Mamoru TASAKA 2007-09-10 21:48:29 EDT
dbus python module is in dbus-python package
Comment 14 Subhodip Biswas 2007-09-11 14:07:11 EDT
* Fixed dbus python and pygtk2-libglade dependencies
* Koji build succesful for dist-fc7
 see here for log : [http://koji.fedoraproject.org/koji/taskinfo?taskID=155635]
* However dist-f8 fails with following error :-
Found '/var/tmp/straw-0.27-4-F13608' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.65277 (%install)

Tried to fix it with the following

sed -i -e "s@${RPM_BUILD_ROOT}@@" constants.py.in

But of no avail

Comment 15 Subhodip Biswas 2007-09-13 17:09:50 EDT
fixed bug on comment#14

koji build succesful 
here is the log :

Succesful build both is f7 and --scratch dist-fc7 and in dist-f8. 
Comment 16 Subhodip Biswas 2007-09-13 17:11:16 EDT
spec and SRPM of straw-0.27 is available at 

Comment 17 Mamoru TASAKA 2007-09-14 09:55:40 EDT
* disttag
  - Please consider to use %?dist tag.

* Redundant Requires/BuildRequires
  - Please remove redundant Requires/BuildRequires.
    For example, gnome-python2-gconf requires gnome-python2,
    so "Requires: gnome-python2" is not needed.

  - And why this package should have
    "Requires: pygtk2-devel" (not BuildRequires)?

* Conflicts
  - Please explain why you set "conflicts: python-adns".
    The valid cases of using "Conflicts" are in

* GConf
  - GConf schemas files should still be under 
    %_sysconfdir/gconf/schemas, not under %_datadir
    (and don't mark as %config).

  - And please check GConf scriptlets again.
    * %pre, %post and %preun scriptlets are needed
    * [NAME] must be replaced with the actual gconf file's name.
    * Note: "killall -HUP gconfd-2 || :" is no longer needed.
      (see the last "Notes" in GConf scriptlet section).

* srpm indentation
  - rpmlint shows
[tasaka1@localhost straw]$ rpmlint straw-0.27-5.src.rpm
straw.src: W: mixed-use-of-spaces-and-tabs (spaces: line 82, tab: line 5)

[tasaka1@localhost straw]$ rpmlint -I mixed-use-of-spaces-and-tabs
mixed-use-of-spaces-and-tabs :
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 18 Subhodip Biswas 2007-09-15 23:39:18 EDT
* disttag
  - Please consider to use %?dist tag.

- Fixed the issue

* GConf
  - GConf schemas files should still be under 
    %_sysconfdir/gconf/schemas, not under %_datadir
    (and don't mark as %config).
-- fixed the isssue

  - And please check GConf scriptlets again.
    * %pre, %post and %preun scriptlets are needed,,,,,,,,,,,,,,,,,,,,,,,,,,
-- fixed this part

* srpm indentation
  - rpmlint shows
-- Fixed rpmlint warning

Comment 19 Mamoru TASAKA 2007-09-16 01:00:18 EDT
Please change release number every time you fix your spec file.

And please post full URL of your spec/srpm on this bugzilla
so that we can directly download them by "wget -N".
Comment 20 Subhodip Biswas 2007-09-16 10:18:15 EDT
* fixed release tag
* spec file and SRPM ar available at 
-- [http://subhodip.fedorapeople.org/straw.spec]
-- [http://subhodip.fedorapeople.org/straw-0.27-6.fc7.src.rpm]
* noarch rpm is available at 
-- [http://subhodip.fedorapeople.org/straw-0.27-6.fc7.noarch.rpm]
Comment 21 Mamoru TASAKA 2007-09-17 09:00:44 EDT
For 0.27-6:

* Requires:
  - Again recheck python related dependency.
    you can try the result
$ LANG=C grep -h 'import ' `rpm -ql straw | grep -v /usr/share/doc` | grep -v
Binary | sed -e 's|^[ \t][ \t]*||' | sort | uniq
    For me it seems
    - libxml2-python, pyorbit are not needed
    - "gtk2 > 2.4", libglade2 are redundant
    - pygtk2-devel must be removed
    + pygtk2-libglade is needed (PreferencesDialog.py requires)
      This will also install pygtk2
    + gnome-python2-libegg is needed (Tray.py requires)
    + gnome-python2-gconf is needed (Config.py requires)

    I attach my check list for python related dependency of
    straw. Please check if it is correct.

* Conflicts
  - Well, would you readd "Conflicts: python-adns" until bug 292821
    is solved?
    * Please add the comment in the spec file like
      "Current python-adns makes double free problem (bug 292821)"

* %pre
  - Please write %pre section after %install section
  - And again fix "[NAME]" to the real gconf file name.

NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
(NOTE: please don't choose "Merge Review")

Review guidelines are described mainly on:
Comment 22 Mamoru TASAKA 2007-09-17 09:33:51 EDT
Created attachment 197411 [details]
python dependency check list
Comment 23 Subhodip Biswas 2007-09-17 12:41:00 EDT
readded Conflicts:python-adns with refer to bug#292821
fixed {NAME] in %pre
tried to fix redundant dependencies.

Spec file available at
SRPM is available at
Comment 24 Mamoru TASAKA 2007-09-19 12:14:22 EDT
Sorry, it seems that I missed the mail of your comment 23,
I will check -7 later.

Meanwhile please do a pre-review of other person's review request
or submit another review request (as I wrote on my comment 21)
Comment 25 Mamoru TASAKA 2007-09-20 02:56:13 EDT
(In reply to comment #23)
> Spec file available at
> [http://subhodip.fedorapeople.org/straw.spec]
> SRPM is available at
> [http://subhodip.fedorapeople.org/straw-0.27-7.fc7.src.rpm]

  - Does this srpm work for you?
[root@localhost straw]# LANG=C rpm -Uvh --test straw-0.27-7.fc8.noarch.rpm 
error: Failed dependencies:
        gnome-python-gconf is needed by straw-0.27-7.fc8.noarch
        gnome-python-libegg is needed by straw-0.27-7.fc8.noarch
    What I said was:
(In reply to comment #21)
> For 0.27-6:
>     + gnome-python2-libegg is needed (Tray.py requires)
>     + gnome-python2-gconf is needed (Config.py requires)
Comment 26 Subhodip Biswas 2007-09-21 11:55:17 EDT
fixed dependencies related to #comment 25.

#LANG=C rpm -Uvh --test /home/subhodip/Desktop/straw-0.27-8.fc8.noarch.rpm
gave me no error.

Comment 27 Mamoru TASAKA 2007-09-21 13:26:27 EDT
Well, where is your -8 spec/srpm?
Comment 28 Subhodip Biswas 2007-09-21 14:36:54 EDT
Sorry for the inconvenience caused
Comment 29 Mamoru TASAKA 2007-09-22 08:39:11 EDT
* Still "Requires: pygtk2-libglade" is missing.
* And I will wait for your pre-review or another review request
  (as comment 21)
Comment 30 Subhodip Biswas 2007-09-22 13:59:45 EDT
I have filed a review request for whowatch bug number #301741
whowatch is described as :-
Whowatch is an interactive console utility that displays informations about
the users currently logged on to the machine, in real time. Besides standard
information (login, tty, host, user's process) you can see type of login
(ie. ssh, telnet). You can also see selected user's processes tree or all
system processes tree.  In the process tree mode there is ability to send
INT or KILL signal to selected process.

Although 1.6 is released it has a upstream bug which is yet to be fixed. Hence
filed review request for whowatch-1.4-1

spec file available at : [http://subhodip.fedorapeople.org/whowatch.spec]
SRPM available at: [http://subhodip.fedorapeople.org/whowatch-1.4-1.fc7.src.rpm]
Comment 31 Mamoru TASAKA 2007-09-22 23:30:59 EDT
(In reply to comment #29)
> * Still "Requires: pygtk2-libglade" is missing.

Would you fix this?
Comment 32 Subhodip Biswas 2007-09-23 01:37:57 EDT
Sorry for the delay.
fixed Requires:pygtk2-libglade

Spec file available at :[http://subhodip.fedorapeople.org/straw.spec]
SRPM available at :[http://subhodip.fedorapeople.org/straw-0.27-9.fc7.src.rpm]
Comment 33 Mamoru TASAKA 2007-09-23 01:48:01 EDT

   This package (straw) is APPROVED by me

Please follow the procedure according to:
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 34 Mamoru TASAKA 2007-09-23 21:25:19 EDT
Now I am sponsoring you.
Comment 35 Subhodip Biswas 2007-09-24 05:50:59 EDT
New Package CVS Request
Package Name: straw
Short Description: Desktop news aggregator
Owners: subhodip
Branches: F-7
Cvsextras Commits: yes
Comment 36 Kevin Fenzi 2007-09-24 12:23:23 EDT
cvs done.
Comment 37 Mamoru TASAKA 2007-09-27 08:47:01 EDT
Please rebuild this on koji, on devel and F-7 repo.
Comment 38 Subhodip Biswas 2007-09-29 09:13:59 EDT
Comment 39 Subhodip Biswas 2007-09-29 09:18:25 EDT
do i have to do it again ?
Comment 40 Mamoru TASAKA 2007-09-29 09:34:04 EDT
For F-7, please request to move from testing to stable when
you think it is okay.


Note You need to log in before you can comment on or make changes to this bug.